## vdr-plugin-epgsearch 0.9.22

=== Makefile ===
#
# Makefile for epgsearch, a Video Disk Recorder plugin
#
# Christian Wieninger cwieninger at gmx.de
#

### uncomment one of these lines, if you don't want the addon epgsearchonly, conflictcheckonly
#WITHOUT_EPGSEARCHONLY=1
#WITHOUT_CONFLICTCHECKONLY=1
#WITHOUT_QUICKSEARCH=1

PLUGIN = epgsearch
MAINMENUSHORTCUT = epgsearchmainmenushortcut
PLUGIN2 = epgsearchonly
PLUGIN3 = conflictcheckonly
PLUGIN4 = quickepgsearch

# uncomment this if you want to use Perl compatible regular expressions (PCRE),
# also have a look at INSTALL for further notes on this
#HAVE_PCREPOSIX=1

# uncomment this if you want to use libtre for unlimited fuzzy searching,
# also have a look at INSTALL for further notes on this
#HAVE_LIBTRE=1

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -Wall -O2 -Woverloaded-virtual -Wno-format-y2k -fPIC

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

ALL = libvdr-$(PLUGIN).so createcats
ifndef WITHOUT_EPGSEARCHONLY
  ALL += libvdr-$(PLUGIN2).so
endif
ifndef WITHOUT_CONFLICTCHECKONLY
  ALL += libvdr-$(PLUGIN3).so
endif
ifndef WITHOUT_QUICKSEARCH
  ALL += libvdr-$(PLUGIN4).so
endif

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
APIVERSION = $(shell grep 'define APIVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
ifeq ($(strip $(APIVERSION)),)
   APIVERSION = $(VDRVERSION)
endif

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
#INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
DEFINES1 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"'
DEFINES2 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN2)"'
DEFINES3 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN3)"'
DEFINES4 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN4)"'

### The object files (add further files here):

OBJS = afuzzy.o blacklist.o changrp.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o i18n.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o uservars.o varparser.o  

ifdef HAVE_PCREPOSIX
LIBS += -L/usr/lib -lpcreposix -lpcre
DEFINES += -DHAVE_PCREPOSIX
endif

#ifdef HAVE_LIBTRE
#LIBS += -L/usr/lib -ltre
#DEFINES += -DHAVE_LIBTRE
#endif

ifdef CFLC 
DEFINES += -DCFLC
endif

ifdef DEBUG_CONFL
DEFINES += -DDEBUG_CONFL
endif

OBJS2    = mainmenushortcut.o epgsearchonly.o
LIBS2    =

OBJS3    = mainmenushortcut.o conflictcheckonly.o
LIBS3    =

OBJS4    = mainmenushortcut.o quickepgsearch.o
LIBS4    =

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
mainmenushortcut.o: mainmenushortcut.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES1) $(INCLUDES) $<
epgsearchonly.o: epgsearchonly.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES2) $(INCLUDES) $<
conflictcheckonly.o: conflictcheckonly.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES3) $(INCLUDES) $<
quickepgsearch.o: quickepgsearch.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES4) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) $(OBJS3:%.o=%.c) $(OBJS4:%.o=%.c)> $@

-include $(DEPFILE)

### Targets:

all: $(ALL) 

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS)  -shared $(OBJS) $(LIBS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN2).so: $(OBJS2)
	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN3).so: $(OBJS3)
	$(CXX) $(CXXFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN4).so: $(OBJS4)
	$(CXX) $(CXXFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

createcats: createcats.o Makefile
	$(CXX) $(CXXFLAGS) createcats.o -o $@

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/doc-src
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/html
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2man.sh
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2html.sh
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

distfull: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo complete distribution package created as $(PACKAGE).tgz

install-doc:
	@mkdir -p $(MANDIR)/man1
	@mkdir -p $(MANDIR)/man4
	@mkdir -p $(MANDIR)/man5
	@mkdir -p $(MANDIR)/de/man1
	@mkdir -p $(MANDIR)/de/man5

	@cp man/en/*1.gz $(MANDIR)/man1/
	@cp man/en/*4.gz $(MANDIR)/man4/
	@cp man/en/*5.gz $(MANDIR)/man5/
	@cp man/de/*1.gz $(MANDIR)/de/man1/
	@cp man/de/*5.gz $(MANDIR)/de/man5/
clean:
	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* *~ createcats createcats.o pod2*.tmp

## vdr-plugin-epgsearch 0.9.24~beta25

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 ### The object files (add further files here):
 
-OBJS = afuzzy.o blacklist.o changrp.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o i18n.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o uservars.o varparser.o  
+OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o i18n.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o  
 
 ifdef HAVE_PCREPOSIX
 LIBS += -L/usr/lib -lpcreposix -lpcre
@@ -108,6 +108,10 @@
 
 OBJS4    = mainmenushortcut.o quickepgsearch.o
 LIBS4    =
+
+### The main target:
+
+all: $(ALL) i18n
 
 ### Implicit rules:
 
@@ -131,9 +135,35 @@
 
 -include $(DEPFILE)
 
+### Internationalization (I18N):
+
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.[ch])
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ $(wildcard *.[ch])
+
+%.po: $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
+
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs) $(I18Npot)
+
+generate-i18n: i18n-template.h $(I18Npot) $(I18Npo) buildutil/pot2i18n.pl
+	buildutil/pot2i18n.pl $(I18Npot) i18n-template.h > i18n-generated.h
+
 ### Targets:
-
-all: $(ALL) 
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS)  -shared $(OBJS) $(LIBS) -o $@
@@ -154,7 +184,7 @@
 createcats: createcats.o Makefile
 	$(CXX) $(CXXFLAGS) createcats.o -o $@
 
-dist: clean
+dist: generate-i18n clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -166,7 +196,7 @@
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
-distfull: clean
+distfull: generate-i18n clean 
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -187,4 +217,5 @@
 	@cp man/de/*1.gz $(MANDIR)/de/man1/
 	@cp man/de/*5.gz $(MANDIR)/de/man5/
 clean:
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot $(PODIR)/*~
 	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* *~ createcats createcats.o pod2*.tmp

## vdr-plugin-epgsearch 0.9.24

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = epgsearchclient

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-epgsearch 0.9.25~beta16

=== Makefile ===
#
# Makefile for epgsearch, a Video Disk Recorder plugin
#
# Christian Wieninger cwieninger at gmx.de
#

### ------------
### CONFIG START
### 
### to comment an option just place a '#' at the beginning of the line
### to uncomment an option please remove the leading '#'

### uncomment one of these lines, if you don't want the addon epgsearchonly, 
### conflictcheckonly or quickepgsearch

#WITHOUT_EPGSEARCHONLY=1
#WITHOUT_CONFLICTCHECKONLY=1
#WITHOUT_QUICKSEARCH=1

### comment this if you don't want epgsearch to auto config itself
AUTOCONFIG=1

### if AUTOCONFIG is not active (i.e. commented) you can manually enable the 
### optional modules or patches for other plugins
ifndef AUTOCONFIG
# if you want to use Perl compatible regular expressions (PCRE) or libtre for
# unlimited fuzzy searching, uncomment this and set the value to pcre or tre
# also have a look at INSTALL for further notes on this

#REGEXLIB = pcre

# uncomment this to enable support for the pin plugin.

#USE_PINPLUGIN = 1

# uncomment this to enable support for the graphtft plugin.
#USE_GRAPHTFT = 1

endif

### the sendmail executable to use when epgsearch is configured to use the
### sendmail method for sending mail
SENDMAIL = /usr/sbin/sendmail

###
### CONFIG END
### do not edit below this line if you don't know what you do ;-)
### -------------------------------------------------------------

PLUGIN = epgsearch
MAINMENUSHORTCUT = epgsearchmainmenushortcut
PLUGIN2 = epgsearchonly
PLUGIN3 = conflictcheckonly
PLUGIN4 = quickepgsearch

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -Wall -O2 -Woverloaded-virtual -Wno-format-y2k -fPIC

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### auto configuring modules
ifdef AUTOCONFIG
	ifeq (exists, $(shell pkg-config libpcre && echo exists))
		REGEXLIB = pcre
	else ifeq (exists, $(shell pkg-config tre && echo exists))
		REGEXLIB = tre
	endif
	ifeq (exists, $(shell test -e ../pin && echo exists))
		USE_PINPLUGIN = 1
	endif
	ifeq (exists, $(shell test -e ../graphtft && echo exists))
		USE_GRAPHTFT = 1
	endif
endif

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

ALL = libvdr-$(PLUGIN).so createcats
ifndef WITHOUT_EPGSEARCHONLY
  ALL += libvdr-$(PLUGIN2).so
endif
ifndef WITHOUT_CONFLICTCHECKONLY
  ALL += libvdr-$(PLUGIN3).so
endif
ifndef WITHOUT_QUICKSEARCH
  ALL += libvdr-$(PLUGIN4).so
endif

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
APIVERSION = $(shell grep 'define APIVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
ifeq ($(strip $(APIVERSION)),)
   APIVERSION = $(VDRVERSION)
endif

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
#INCLUDES += -I$(VDRDIR)/include

EPGSEARCH_DEFINES += -D_GNU_SOURCE
ifneq ($(SENDMAIL),)
EPGSEARCH_DEFINES += -DSENDMAIL='"$(SENDMAIL)"'
endif
DEFINES += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
DEFINES1 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"'
DEFINES2 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"'
DEFINES3 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"'
DEFINES4 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"'

### The object files (add further files here):

OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o i18n.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o  

ifeq ($(REGEXLIB), pcre)
LIBS += $(shell pcre-config --libs-posix)
#LIBS += -L/usr/lib -lpcreposix -lpcre
INCLUDE += $(shell pcre-config --cflags)
DEFINES += -DHAVE_PCREPOSIX
else ifeq ($(REGEXLIB), tre)
LIBS += -L$(shell pkg-config --variable=libdir tre) $(shell pkg-config --libs tre)
#LIBS += -L/usr/lib -ltre
DEFINES += -DHAVE_LIBTRE
INCLUDE += $(shell pkg-config --cflags tre)
endif

ifdef USE_PINPLUGIN
DEFINES += -DUSE_PINPLUGIN
endif

ifdef USE_GRAPHTFT
DEFINES += -DUSE_GRAPHTFT
endif

ifdef CFLC 
DEFINES += -DCFLC
endif

ifdef DEBUG_CONFL
DEFINES += -DDEBUG_CONFL
endif

OBJS2    = mainmenushortcut.o epgsearchonly.o
LIBS2    =

OBJS3    = mainmenushortcut.o conflictcheckonly.o
LIBS3    =

OBJS4    = mainmenushortcut.o quickepgsearch.o
LIBS4    =

### The main target:

all: $(ALL) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
mainmenushortcut.o: mainmenushortcut.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES1) $(INCLUDES) $<
epgsearchonly.o: epgsearchonly.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES2) $(INCLUDES) $<
conflictcheckonly.o: conflictcheckonly.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES3) $(INCLUDES) $<
quickepgsearch.o: quickepgsearch.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES4) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) $(OBJS3:%.o=%.c) $(OBJS4:%.o=%.c)> $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.[ch])
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ $(wildcard *.[ch])

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs) $(I18Npot)

generate-i18n: i18n-template.h $(I18Npot) $(I18Npo) buildutil/pot2i18n.pl
	buildutil/pot2i18n.pl $(I18Npot) i18n-template.h > i18n-generated.h

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS)  -shared $(OBJS) $(LIBS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN2).so: $(OBJS2)
	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN3).so: $(OBJS3)
	$(CXX) $(CXXFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN4).so: $(OBJS4)
	$(CXX) $(CXXFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

createcats: createcats.o Makefile
	$(CXX) $(CXXFLAGS) createcats.o -o $@

dist: generate-i18n clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/doc-src
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/html
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2man.sh
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2html.sh
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

distfull: generate-i18n clean 
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo complete distribution package created as $(PACKAGE).tgz

install-doc:
	@mkdir -p $(MANDIR)/man1
	@mkdir -p $(MANDIR)/man4
	@mkdir -p $(MANDIR)/man5
	@mkdir -p $(MANDIR)/de/man1
	@mkdir -p $(MANDIR)/de/man5

	@cp man/en/*1.gz $(MANDIR)/man1/
	@cp man/en/*4.gz $(MANDIR)/man4/
	@cp man/en/*5.gz $(MANDIR)/man5/
	@cp man/de/*1.gz $(MANDIR)/de/man1/
	@cp man/de/*5.gz $(MANDIR)/de/man5/
clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot $(PODIR)/*~
	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* *~ createcats createcats.o pod2*.tmp

## vdr-plugin-epgsearch 0.9.25~beta21

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -Wall -O2 -Woverloaded-virtual -Wno-format-y2k -fPIC
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses -Wno-format-y2k
 
 ### The directory environment:
 
@@ -84,6 +84,10 @@
 	endif
 endif
 
+### Make sure that necessary options are included:
+-include $(VDRDIR)/Make.global
+
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
@@ -276,5 +280,6 @@
 	@cp man/de/*1.gz $(MANDIR)/de/man1/
 	@cp man/de/*5.gz $(MANDIR)/de/man5/
 clean:
-	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot $(PODIR)/*~
-	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* *~ createcats createcats.o pod2*.tmp
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
+	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
+	@-find . -name "*~" -print0 | xargs -0r rm -f

=== debian/changelog ===
vdr-plugin-epgsearch (0.9.25~beta21-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:37 +0200

vdr-plugin-epgsearch (0.9.25~beta21-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.19)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 22:31:43 +0200

vdr-plugin-epgsearch (0.9.25~beta21-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:23 +0200

vdr-plugin-epgsearch (0.9.25~beta21-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Apr 2011 21:59:25 +0200

vdr-plugin-epgsearch (0.9.25~beta17-1) unstable; urgency=low

  * New upstream release (beta)
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Wed, 27 Oct 2010 19:34:59 +0200

vdr-plugin-epgsearch (0.9.25~beta16-3) unstable; urgency=low

  [ Thomas Schmidt ]
  * Standards-Version: 3.8.4

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 14:02:02 +0200

vdr-plugin-epgsearch (0.9.25~beta16-2) unstable; urgency=low

  * Removed INCLUDES from debian/rules ("INCLUDES +=" in Makefile not applied)
  * Build-Depend on vdr-dev (>= 1.6.0-16)
  * Added pkg-config to Build-Depends

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 04 Mar 2010 13:09:35 +0100

vdr-plugin-epgsearch (0.9.25~beta16-1) unstable; urgency=low

  * New upstream beta release
  * Adapted 01_debian-defaults.dpatch
  * Removed 02_gcc-4.3.dpatch (fixed upstream)
  * Removed 03_gcc-4.4.dpatch (fixed upstream)
  * Updated debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Fri, 05 Feb 2010 20:36:20 +0100

vdr-plugin-epgsearch (0.9.24-6) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552639)
  * Added README.source
  * Added gcc 4.4 fix

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:15:48 +0100

vdr-plugin-epgsearch (0.9.24-5) unstable; urgency=low

  * Standards-Version: 3.8.3
  * Dropped conf file moving to maintainer scripts

 -- Tobias Grimm <etobi@debian.org>  Fri, 09 Oct 2009 22:36:26 +0200

vdr-plugin-epgsearch (0.9.24-4) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:50 +0200

vdr-plugin-epgsearch (0.9.24-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:28:51 +0200

vdr-plugin-epgsearch (0.9.24-2) unstable; urgency=low

  [ Tobias Grimm ]
  * Added 02_gcc-4.3.dpatch to fix GCC-4.3 related FTBFS

  [ Thomas Schmidt ]
  * Fixes FTBFS related to the new dpkg (closes: #484290)
  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:04:16 +0200

vdr-plugin-epgsearch (0.9.24-1) experimental; urgency=low

  * New upstream release
  * COMPAT = 5

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 01 May 2008 17:59:55 +0200

vdr-plugin-epgsearch (0.9.24~beta25-1) experimental; urgency=low

  [ Tobias Grimm ]
  * New upstream release

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:42:18 +0200

vdr-plugin-epgsearch (0.9.24~beta19-1) experimental; urgency=low

  * New upstream release
  * Updated debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 19 Feb 2008 00:35:05 +0100

vdr-plugin-epgsearch (0.9.24~beta3-6) experimental; urgency=low

  * Force update for new VDR release

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 22:30:41 +0100

vdr-plugin-epgsearch (0.9.24~beta3-5) unstable; urgency=low

  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 28 Dec 2007 23:21:33 +0100

vdr-plugin-epgsearch (0.9.24~beta3-4) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:15 +0100

vdr-plugin-epgsearch (0.9.24~beta3-3) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:09 +0100

vdr-plugin-epgsearch (0.9.24~beta3-2) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:50:51 +0200

vdr-plugin-epgsearch (0.9.24~beta3-1) unstable; urgency=low

  * New upstream beta release
  * Changed locale directory to /usr/share/locale
  * Corrected copyright year and license in debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 26 Sep 2007 23:17:31 +0200

vdr-plugin-epgsearch (0.9.23~beta18-1) unstable; urgency=low

  * New upstream beta release
  * Adapted 01_debian-defaults.dpatch
  * Removed 92_epgsearch-0.9.23-beta1.dpatch
  * Added gettext to Build-Depends
  * Added installation of locale files
  * Corrected license in debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Sat,  1 Sep 2007 15:59:08 +0200

vdr-plugin-epgsearch (0.9.22-3) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:10 +0200

vdr-plugin-epgsearch (0.9.22-2) unstable; urgency=low

  * Release for vdrdevel 1.5.5
  * Added 92_epgsearch-0.9.23-beta1.dpatch

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:29:15 +0200

vdr-plugin-epgsearch (0.9.22-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright and debian/watch to the new upstream homepage

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 May 2007 18:53:37 +0200



=== debian/control ===
Source: vdr-plugin-epgsearch
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20), gettext, pkg-config
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-epgsearch/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-epgsearch/trunk/
Homepage: http://winni.vdr-developer.org/epgsearch/

Package: vdr-plugin-epgsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, sendemail
Description: VDR plugin that provides extensive EPG searching capabilities
 This plugin for the Linux Video Disc Recorder (VDR) allows searching the EPG
 (electronic programme guide) data by defining search terms that can
 permanently be stored in a list for later reuse. It supports regular
 expressions and is capable of doing fuzzy searches. EPG-Search scans the EPG
 in background and can automatically create timers for matching search terms.
 Besides this it supports searching for repetitions, detection of timer
 conflicts, sending emails on timer events and much more. Search terms can
 also be added and modified with vdradmin-am, a web frontend for VDR.

## vdr-plugin-epgsearch 1.0.0

=== Makefile ===
--- 
+++ 
@@ -210,7 +210,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.[ch])
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ $(wildcard *.[ch])
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -229,25 +229,25 @@
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS)  -shared $(OBJS) $(LIBS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN2).so: $(OBJS2)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN3).so: $(OBJS3)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN4).so: $(OBJS4)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 createcats: createcats.o Makefile
-	$(CXX) $(CXXFLAGS) createcats.o -o $@
-
-dist: generate-i18n clean
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
+
+dist: generate-i18n docs clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -257,15 +257,24 @@
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2html.sh
 	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
+	@ln -sf README.git README
 	@echo Distribution package created as $(PACKAGE).tgz
 
-distfull: generate-i18n clean 
+distfull: generate-i18n docs clean 
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
 	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
+	@ln -sf README.git README
 	@echo complete distribution package created as $(PACKAGE).tgz
+
+docs:
+	@./docsrc2man.sh
+	@./docsrc2html.sh
+	@ln -sf ./doc/en/epgsearch.4.txt MANUAL
+	@ln -sf ./doc/en/epgsearch.1.txt README
+	@ln -sf ./doc/de/epgsearch.1.txt README.DE
 
 install-doc:
 	@mkdir -p $(MANDIR)/man1
@@ -279,7 +288,8 @@
 	@cp man/en/*5.gz $(MANDIR)/man5/
 	@cp man/de/*1.gz $(MANDIR)/de/man1/
 	@cp man/de/*5.gz $(MANDIR)/de/man5/
+
 clean:
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
-	@-find . -name "*~" -print0 | xargs -0r rm -f
+	@-find . \( -name "*~" -o -name "#*#" \) -print0 | xargs -0r rm -f

=== debian/changelog ===
vdr-plugin-epgsearch (1.0.0-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:23 +0100

vdr-plugin-epgsearch (1.0.0-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:37 +0100

vdr-plugin-epgsearch (1.0.0-2) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:27 +0200

vdr-plugin-epgsearch (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20), gettext, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext, pkg-config
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-epgsearch/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-epgsearch/trunk/
 Homepage: http://winni.vdr-developer.org/epgsearch/
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git
 
 Package: vdr-plugin-epgsearch
 Architecture: any

## vdr-plugin-epgsearch 1.0.0+git20120325

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 ### ------------
 ### CONFIG START
-### 
+###
 ### to comment an option just place a '#' at the beginning of the line
 ### to uncomment an option please remove the leading '#'
 
-### uncomment one of these lines, if you don't want the addon epgsearchonly, 
+### uncomment one of these lines, if you don't want the addon epgsearchonly,
 ### conflictcheckonly or quickepgsearch
 
 #WITHOUT_EPGSEARCHONLY=1
@@ -20,7 +20,7 @@
 ### comment this if you don't want epgsearch to auto config itself
 AUTOCONFIG=1
 
-### if AUTOCONFIG is not active (i.e. commented) you can manually enable the 
+### if AUTOCONFIG is not active (i.e. commented) you can manually enable the
 ### optional modules or patches for other plugins
 ifndef AUTOCONFIG
 # if you want to use Perl compatible regular expressions (PCRE) or libtre for
@@ -64,7 +64,7 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
+#DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -125,15 +125,11 @@
 ifneq ($(SENDMAIL),)
 EPGSEARCH_DEFINES += -DSENDMAIL='"$(SENDMAIL)"'
 endif
-DEFINES += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
-DEFINES1 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"'
-DEFINES2 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"'
-DEFINES3 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"'
-DEFINES4 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"'
+DEFINES += $(EPGSEARCH_DEFINES)
 
 ### The object files (add further files here):
 
-OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o i18n.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o  
+OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o
 
 ifeq ($(REGEXLIB), pcre)
 LIBS += $(shell pcre-config --libs-posix)
@@ -155,7 +151,7 @@
 DEFINES += -DUSE_GRAPHTFT
 endif
 
-ifdef CFLC 
+ifdef CFLC
 DEFINES += -DCFLC
 endif
 
@@ -163,6 +159,18 @@
 DEFINES += -DDEBUG_CONFL
 endif
 
+ifdef PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH
+DEFINES += -DMAX_SUBTITLE_LENGTH='$(PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH)'
+endif
+
+### length of the filling '-' in the channel separators, defaults to
+### "----------------------------------------"
+### overwrite this with PLUGIN_EPGSEARCH_SEP_ITEMS=--- in your Make.config
+### to avoid problems with graphlcd
+ifdef PLUGIN_EPGSEARCH_SEP_ITEMS
+DEFINES += -DMENU_SEPARATOR_ITEMS='"$(PLUGIN_EPGSEARCH_SEP_ITEMS)"'
+endif
+
 OBJS2    = mainmenushortcut.o epgsearchonly.o
 LIBS2    =
 
@@ -179,15 +187,15 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"' $(INCLUDES) $<
 mainmenushortcut.o: mainmenushortcut.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES1) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"' $(INCLUDES) $<
 epgsearchonly.o: epgsearchonly.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES2) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"' $(INCLUDES) $<
 conflictcheckonly.o: conflictcheckonly.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES3) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"' $(INCLUDES) $<
 quickepgsearch.o: quickepgsearch.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES4) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"' $(INCLUDES) $<
 
 # Dependencies:
 
@@ -210,7 +218,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.[ch])
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ `ls $^`
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP -kI18nTranslate --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -223,9 +231,6 @@
 .PHONY: i18n
 i18n: $(I18Nmsgs) $(I18Npot)
 
-generate-i18n: i18n-template.h $(I18Npot) $(I18Npo) buildutil/pot2i18n.pl
-	buildutil/pot2i18n.pl $(I18Npot) i18n-template.h > i18n-generated.h
-
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
@@ -247,7 +252,7 @@
 createcats: createcats.o Makefile
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
 
-dist: generate-i18n docs clean
+dist: clean docs
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -260,7 +265,7 @@
 	@ln -sf README.git README
 	@echo Distribution package created as $(PACKAGE).tgz
 
-distfull: generate-i18n docs clean 
+distfull: docs clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -293,3 +298,4 @@
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
 	@-find . \( -name "*~" -o -name "#*#" \) -print0 | xargs -0r rm -f
+	@-rm -rf doc html man

=== debian/changelog ===
vdr-plugin-epgsearch (1.0.0+git20120325-4) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:17:10 +0200

vdr-plugin-epgsearch (1.0.0+git20120325-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Fri, 08 Jun 2012 14:59:21 +0200

vdr-plugin-epgsearch (1.0.0+git20120325-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:22 +0200

vdr-plugin-epgsearch (1.0.0+git20120325-1) unstable; urgency=low

  * New Upstream Snapshot (commit 65f1e50) (Closes: #666316)
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3
  * Added debian/rules get-vcs-snapshot

 -- Tobias Grimm <etobi@debian.org>  Wed, 04 Apr 2012 22:51:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext, pkg-config
+Standards-Version: 3.9.3
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git

## vdr-plugin-epgsearch 1.0.1~beta3

=== Makefile ===
--- 
+++ 
@@ -7,22 +7,22 @@
 ### ------------
 ### CONFIG START
 ###
-### to comment an option just place a '#' at the beginning of the line
-### to uncomment an option please remove the leading '#'
-
-### uncomment one of these lines, if you don't want the addon epgsearchonly,
+### to change an option just edit the value: 0 => false, 1 => true
+
+
+### edit one of these lines to '1', if you don't want the addon epgsearchonly, 
 ### conflictcheckonly or quickepgsearch
 
-#WITHOUT_EPGSEARCHONLY=1
-#WITHOUT_CONFLICTCHECKONLY=1
-#WITHOUT_QUICKSEARCH=1
-
-### comment this if you don't want epgsearch to auto config itself
+WITHOUT_EPGSEARCHONLY=0
+WITHOUT_CONFLICTCHECKONLY=0
+WITHOUT_QUICKSEARCH=0
+
+### edit this to '0' if you don't want epgsearch to auto config itself
 AUTOCONFIG=1
 
-### if AUTOCONFIG is not active (i.e. commented) you can manually enable the
+### if AUTOCONFIG is not active you can manually enable the
 ### optional modules or patches for other plugins
-ifndef AUTOCONFIG
+ifeq ($(AUTOCONFIG),0)
 # if you want to use Perl compatible regular expressions (PCRE) or libtre for
 # unlimited fuzzy searching, uncomment this and set the value to pcre or tre
 # also have a look at INSTALL for further notes on this
@@ -70,7 +70,7 @@
 TMPDIR = /tmp
 
 ### auto configuring modules
-ifdef AUTOCONFIG
+ifeq ($(AUTOCONFIG),1)
 	ifeq (exists, $(shell pkg-config libpcre && echo exists))
 		REGEXLIB = pcre
 	else ifeq (exists, $(shell pkg-config tre && echo exists))
@@ -93,13 +93,13 @@
 -include $(VDRDIR)/Make.config
 
 ALL = libvdr-$(PLUGIN).so createcats
-ifndef WITHOUT_EPGSEARCHONLY
+ifeq ($(WITHOUT_EPGSEARCHONLY), 0)
   ALL += libvdr-$(PLUGIN2).so
 endif
-ifndef WITHOUT_CONFLICTCHECKONLY
+ifeq ($(WITHOUT_CONFLICTCHECKONLY), 0)
   ALL += libvdr-$(PLUGIN3).so
 endif
-ifndef WITHOUT_QUICKSEARCH
+ifeq ($(WITHOUT_QUICKSEARCH), 0)
   ALL += libvdr-$(PLUGIN4).so
 endif
 
@@ -252,7 +252,7 @@
 createcats: createcats.o Makefile
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
 
-dist: clean docs
+dist: docs clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -281,7 +281,7 @@
 	@ln -sf ./doc/en/epgsearch.1.txt README
 	@ln -sf ./doc/de/epgsearch.1.txt README.DE
 
-install-doc:
+install-doc: docs
 	@mkdir -p $(MANDIR)/man1
 	@mkdir -p $(MANDIR)/man4
 	@mkdir -p $(MANDIR)/man5

=== debian/changelog ===
vdr-plugin-epgsearch (1.0.1~beta3-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:03 +0200

vdr-plugin-epgsearch (1.0.1~beta3-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:07 +0100

vdr-plugin-epgsearch (1.0.1~beta3-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:45:18 +0100

vdr-plugin-epgsearch (1.0.1~beta3-2) unstable; urgency=low

  * Build-depend on vdr-1.7.40

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 18:53:22 +0100

vdr-plugin-epgsearch (1.0.1~beta3-1) unstable; urgency=low

  * New upstream version
  * Use debhelper 9
  * Build-depend on vdr-1.7.39

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Feb 2013 13:17:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext, pkg-config
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config, gettext, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale
CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all docs $(MAKE_OPTIONS)

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh
